// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "UObject/Object.h"
#include "StatEffectModCalculation.generated.h"

class UStatForgeComponent;

/**
 * 
 */
UCLASS(Blueprintable)
class STATFORGE_API UStatEffectModCalculation : public UObject
{
	GENERATED_BODY()
public:
	UFUNCTION(BlueprintNativeEvent, Category = "Stat Forge")
	float GetValue(UStatForgeComponent* StatForgeComponent);
	virtual float GetValue_Implementation(UStatForgeComponent* StatForgeComponent) { return 0.f; }
};
